% Routine that assembles the large matrices. For each element the element matrix
% is generated and subsequently the added at the appropriate positions of the large matrix

% Assembly of large stiffness matrices with respect to the internal elements

for i = 1:length(elmat(:,1))
	GenerateElementStiffnessMatrix; 	% output Selem
	AssemblyStepLeftStiffnessMatrix; 	% output SL, SR
end;	

% Assembly of large stiffness matrix with respect to the boundary elements

for i = 1:length(elmatbnd(:,1))
	GenerateBoundaryElementMatrix; 		% output BMelem
	AssemblyStepBoundaryMatrix; 		% output SL,SR
	GenerateBoundaryElementVector;		% output bfelem
	AssemblyStepBoundaryVector;		% output f
end;