
%
% Procedure to generate mesh in R^2 rectangular domain
%

if arc == 1
	a = Ly;
else
	a = 0;
end;

dxL = 2*Lx/(nx-1);
dyL = 2*Ly/(ny-1);
nxL  = (nx+1)/2;
nyL  = (ny+1)/2;
for i = 1:nxL*nyL
	if rem(i,nxL) == 0
		xL(i) = (nxL-1)*dxL;
	else
		xL(i) = (rem(i,nxL)-1)*dxL;
	end;
	yL(i) = a+fix((i-1)/nxL)*dyL;
end;

if arc == 1
	for i = 1:nx*ny
		xx(i) = y(i)*cos(x(i));
		yy(i) = y(i)*sin(x(i));
	end;
	x = xx;
	y = yy;
end;
