
%
% Generation of topology for quadratic triangles
%

% - internal elements
for j = 1:1/2*(ny-1)
	for i = 1:1/2*(nx-1)
		elmat((j-1)*(nx-1)+2*i-1,1) 	= 2*i-1+(j-1)*2*nx;
		elmat((j-1)*(nx-1)+2*i-1,2) 	= 2*i-1+(j-1)*2*nx+nx+1;
		elmat((j-1)*(nx-1)+2*i-1,3) 	= 2*i-1+j*2*nx+2;
		elmat((j-1)*(nx-1)+2*i-1,4) 	= 2*i-1+j*2*nx+1;
		elmat((j-1)*(nx-1)+2*i-1,5) 	= 2*i-1+j*2*nx;
		elmat((j-1)*(nx-1)+2*i-1,6) 	= 2*i-1+(j-1)*2*nx+nx;



		elmat((j-1)*(nx-1)+2*i,1)	= 2*i-1+(j-1)*2*nx;
		elmat((j-1)*(nx-1)+2*i,2)	= 2*i-1+(j-1)*2*nx+1;
		elmat((j-1)*(nx-1)+2*i,3)	= 2*i-1+(j-1)*2*nx+2;
		elmat((j-1)*(nx-1)+2*i,4)	= 2*i-1+(j-1)*2*nx+2+nx;
		elmat((j-1)*(nx-1)+2*i,5)	= 2*i-1+j*2*nx+2;
		elmat((j-1)*(nx-1)+2*i,6)	= 2*i-1+(j-1)*2*nx+1+nx;
	end;
end;

% - boundary elements
for i = 1:1/2*(nx-1)
	elmatbnd(i,1) = 2*i-1;
	elmatbnd(i,2) = 2*i;
	elmatbnd(i,3) = 2*i+1;

	elmatbnd(1/2*(nx-1)+ny-1+i,1) = (ny-1)*nx+2*i-1;
	elmatbnd(1/2*(nx-1)+ny-1+i,2) = (ny-1)*nx+2*i;
	elmatbnd(1/2*(nx-1)+ny-1+i,3) = (ny-1)*nx+2*i+1;
end;

for i = 1:1/2*(ny-1)
	elmatbnd(1/2*(nx-1)+i,1) = (2*i-1)*nx;
	elmatbnd(1/2*(nx-1)+i,2) = i*2*nx;
	elmatbnd(1/2*(nx-1)+i,3) = (2*i+1)*nx;

	elmatbnd(1/2*(nx+ny-2)+i,1) = 1+(i-1)*2*nx;
	elmatbnd(1/2*(nx+ny-2)+i,2) = 1+(i-1)*2*nx+nx;
	elmatbnd(1/2*(nx+ny-2)+i,3) = 1+i*2*nx;
end;