% Routine to generate u,v, and p matrices for postprocessing

% first u and v matrices are generated

for i = 1:nx
	for j = 1:ny
		uu(i,j) = u_vec((j-1)*nx+i);
		vv(i,j) = v_vec((j-1)*nx+i);
	end;
end;

for i = 1:nx
	xcoord(i) = x(i);
end;

for i = 1:ny
	ycoord(i) = y(nx+(i-1)*nx);
end;

% Secondly, p matrix is generated

for i = 1:nxL
	for j = 1:nyL
		pp(i,j) = p_vec((j-1)*nxL+i);
	end;
end;

for i = 1:nxL
	xLcoord(i) = xL(i);
end;

for i = 1:nyL
	yLcoord(i) = yL(nxL+(i-1)*nxL);
end;