Lx 		= 8;
Ly		= 8;

nu		= 0.2;
E		= 3e4;
lambda 		= nu * E / (1 + nu) / (1 - 2 * nu); %  9.4665e4;
mu		= E / 2 / (1 + nu); %  2.0116e5
kappa		= 1e-7; %1e-7; % permeability
eta		= 1e-3; % viscosity
alpha 		= kappa / eta;
K_B(1)		= 1e4*E;
K_B(2)		= 1e4*E;
K_B(3)		= 1e4*E;
K_orig		= K_B;
u_B		= 0;
v_B 		= 0;
p_B 		= 0;
tau(1)		= 0; % boundary force / external loading
tau(2) 		= -1e0; % boundary force / external loading
tau_orig	= tau;

% Numerical settings
arc     	= 0;
dt          = 1e-7;
% dt 		= 0.2e-7;
niter 		= 5;
Meshplot	= 0;
nx		= 41;
ny		= 41;
