
%
% Generation of topology for linear triangles
%

% - internal elements
for j = 1:nyL-1
	for i = 1:nxL-1
		elmatlin(2*(j-1)*(nxL-1)+i,1) = (j-1)*nxL + i;
		elmatlin(2*(j-1)*(nxL-1)+i,2) = (j-1)*nxL + i + 1;
		elmatlin(2*(j-1)*(nxL-1)+i,3) = j*nxL + i + 1;

		elmatlin((2*j-1)*(nxL-1)+i,1) = (j-1)*nxL + i;
		elmatlin((2*j-1)*(nxL-1)+i,2) = j*nxL + i;
		elmatlin((2*j-1)*(nxL-1)+i,3) = j*nxL + i + 1;
	end;
end;

% - boundary elements
for i = 1:nxL-1
	elmatlinbnd(i,1) = i;
	elmatlinbnd(i,2) = i+1;
end;

for i = 1:nyL-1
	elmatlinbnd(nxL-1+i,1) = i*nxL;
	elmatlinbnd(nxL-1+i,2) = (i+1)*nxL;
end;

for i = 1:nyL-1
	elmatlinbnd(nxL+nyL-2+i,1) = (i-1)*nxL+1;
	elmatlinbnd(nxL+nyL-2+i,2) = i*nxL+1;
end;

for i = 1:nxL-1
	elmatlinbnd(nxL+2*nyL-3+i,1) = (nyL-1)*nxL+i;
	elmatlinbnd(nxL+2*nyL-3+i,2) = (nyL-1)*nxL+i+1;
end;