
%
% Procedure to generate mesh in R^2 rectangular domain
%

if arc == 1
	a = Ly;
else
	a = 0;
end;

dx = Lx/(nx-1);
dy = Ly/(ny-1);
for i = 1:nx*ny
	if rem(i,nx) == 0
		x(i) = (nx-1)*dx;
	else
		x(i) = (rem(i,nx)-1)*dx;
	end;
	y(i) = a+fix((i-1)/nx)*dy;
end;

if arc == 1
	for i = 1:nx*ny
		xx(i) = y(i)*cos(x(i));
		yy(i) = y(i)*sin(x(i));
	end;
	x = xx;
	y = yy;
end;
