% Postprocessing step for plotting the displacements and pressure

close all
index2 = 1;
for index1 = 1:n
	ndfd 		= unklist(index1,4);
	u_vec(index1) 	= u(unklist(index1,1));
	v_vec(index1) 	= u(unklist(index1,2));
	if (ndfd == 3)
		p_vec(index2) 	= u(unklist(index1,3));
		index2 		= index2 + 1;
	end;
end;
GenerateLinearMesh;
GenerateLinearTopology;
GenerateUVPMatrices;

figure
subplot(2,2,1)
surf(xcoord,ycoord,uu,'FaceColor','interp');
view(2)
title('u-displacement')
xlabel('x-position')
ylabel('y-position')
colorbar

subplot(2,2,2)
surf(xcoord,ycoord,vv,'FaceColor','interp');
view(2)
title('v-displacement')
xlabel('x-position')
ylabel('y-position')
colorbar

subplot(2,2,3)
surf(xLcoord,yLcoord,pp,'FaceColor','interp')
view(2)
title('pressure')
xlabel('x-position')
ylabel('y-position')
colorbar

subplot(2,2,4)
surf(xLcoord,yLcoord,pp,'FaceColor','interp')
title('pressure')
xlabel('x-position')
ylabel('y-position')
zlabel('pressure')
colorbar

return
figure
surf(xcoord,ycoord,uu);
figure
surf(xcoord,ycoord,vv);
figure
surf(xLcoord,yLcoord,pp)
